Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

Get the policy specific settings

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/settings/policy-settings' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The policy settings

Bodyapplication/json
maximumLoginAttemptsinteger(int32)

The maximum number of login attempts before a user is locked out

lockTimeoutinteger(int32)

The amount of time a user will be locked out when making too many login attempts

passwordExpiresinteger(int32)

The amount of time before a user's password expires

passwordExpiresNotificationinteger(int32)

The password expiration notification

minimumPasswordLengthinteger(int32)

The required minimum length for a password

inactiveLogoutinteger(int32)

The amount of time a user is allowed to be inactive before login out

logoutCountdowninteger(int32)

The amount of time a user is allowed to be inactive before login out

enableUserManagementboolean

Flag to enable or disable user management. Disabling user management will remove the need for users to log in or out.

Response
application/json
{ "maximumLoginAttempts": 0, "lockTimeout": 0, "passwordExpires": 0, "passwordExpiresNotification": 0, "minimumPasswordLength": 0, "inactiveLogout": 0, "logoutCountdown": 0, "enableUserManagement": true }

Update the policy specific settings

Request

Security
Bearer
Body
maximumLoginAttemptsinteger(int32)

The maximum number of login attempts before a user is locked out

lockTimeoutinteger(int32)

The amount of time a user will be locked out when making too many login attempts

passwordExpiresinteger(int32)

The amount of time before a user's password expires

passwordExpiresNotificationinteger(int32)

The password expiration notification

minimumPasswordLengthinteger(int32)

The required minimum length for a password

inactiveLogoutinteger(int32)

The amount of time a user is allowed to be inactive before login out

logoutCountdowninteger(int32)

The amount of time a user is allowed to be inactive before login out

enableUserManagementboolean

Flag to enable or disable user management. Disabling user management will remove the need for users to log in or out.

curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/settings/policy-settings' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "maximumLoginAttempts": 0,
    "lockTimeout": 0,
    "passwordExpires": 0,
    "passwordExpiresNotification": 0,
    "minimumPasswordLength": 0,
    "inactiveLogout": 0,
    "logoutCountdown": 0,
    "enableUserManagement": true
  }'

Responses

The policy settings were updated successfully

Response
No content

Get the instrument specific settings

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/settings/instrument-settings' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The instrument settings

Bodyapplication/json
enableCameraboolean

Flag to enable or disable the camera

frontTipEjectThresholdinteger(int32)

The front channel tip eject threshold value

rearTipEjectThresholdinteger(int32)

The rear channel tip eject threshold value

mphTipEjectThresholdinteger(int32)

The MPH channel tip eject threshold value

Response
application/json
{ "enableCamera": true, "frontTipEjectThreshold": 0, "rearTipEjectThreshold": 0, "mphTipEjectThreshold": 0 }

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations